Package org.lwjgl.opencl

# Class CL10

java.lang.Object
org.lwjgl.opencl.CL10

public final class CL10 extends Object
The core OpenCL 1.0 API

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_A`
cl_channel_order
`static final int`
`CL_ADDRESS_CLAMP`
cl_addressing_mode
`static final int`
`CL_ADDRESS_CLAMP_TO_EDGE`
cl_addressing_mode
`static final int`
`CL_ADDRESS_NONE`
cl_addressing_mode
`static final int`
`CL_ADDRESS_REPEAT`
cl_addressing_mode
`static final int`
`CL_ARGB`
cl_channel_order
`static final int`
`CL_BGRA`
cl_channel_order
`static final int`
`CL_BUILD_ERROR`
cl_build_status
`static final int`
`CL_BUILD_IN_PROGRESS`
cl_build_status
`static final int`
`CL_BUILD_NONE`
cl_build_status
`static final int`
`CL_BUILD_PROGRAM_FAILURE`
Error Codes
`static final int`
`CL_BUILD_SUCCESS`
cl_build_status
`static final int`
`CL_COMMAND_ACQUIRE_GL_OBJECTS`
cl_command_type
`static final int`
`CL_COMMAND_COPY_BUFFER`
cl_command_type
`static final int`
`CL_COMMAND_COPY_BUFFER_TO_IMAGE`
cl_command_type
`static final int`
`CL_COMMAND_COPY_IMAGE`
cl_command_type
`static final int`
`CL_COMMAND_COPY_IMAGE_TO_BUFFER`
cl_command_type
`static final int`
`CL_COMMAND_MAP_BUFFER`
cl_command_type
`static final int`
`CL_COMMAND_MAP_IMAGE`
cl_command_type
`static final int`
`CL_COMMAND_MARKER`
cl_command_type
`static final int`
`CL_COMMAND_NATIVE_KERNEL`
cl_command_type
`static final int`
`CL_COMMAND_NDRANGE_KERNEL`
cl_command_type
`static final int`
`CL_COMMAND_READ_BUFFER`
cl_command_type
`static final int`
`CL_COMMAND_READ_IMAGE`
cl_command_type
`static final int`
`CL_COMMAND_RELEASE_GL_OBJECTS`
cl_command_type
`static final int`
`CL_COMMAND_TASK`
cl_command_type
`static final int`
`CL_COMMAND_UNMAP_MEM_OBJECT`
cl_command_type
`static final int`
`CL_COMMAND_WRITE_BUFFER`
cl_command_type
`static final int`
`CL_COMMAND_WRITE_IMAGE`
cl_command_type
`static final int`
`CL_COMPILER_NOT_AVAILABLE`
Error Codes
`static final int`
`CL_COMPLETE`
command execution status
`static final int`
`CL_CONTEXT_DEVICES`
cl_context_info
`static final int`
`CL_CONTEXT_PLATFORM`
cl_context_info + cl_context_properties
`static final int`
`CL_CONTEXT_PROPERTIES`
cl_context_info
`static final int`
`CL_CONTEXT_REFERENCE_COUNT`
cl_context_info
`static final int`
`CL_DEVICE_ADDRESS_BITS`
cl_device_info
`static final int`
`CL_DEVICE_AVAILABLE`
cl_device_info
`static final int`
`CL_DEVICE_COMPILER_AVAILABLE`
cl_device_info
`static final int`
`CL_DEVICE_ENDIAN_LITTLE`
cl_device_info
`static final int`
`CL_DEVICE_ERROR_CORRECTION_SUPPORT`
cl_device_info
`static final int`
`CL_DEVICE_EXECUTION_CAPABILITIES`
cl_device_info
`static final int`
`CL_DEVICE_EXTENSIONS`
cl_device_info
`static final int`
`CL_DEVICE_GLOBAL_MEM_CACHE_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_GLOBAL_MEM_CACHE_TYPE`
cl_device_info
`static final int`
`CL_DEVICE_GLOBAL_MEM_CACHELINE_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_GLOBAL_MEM_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_IMAGE_SUPPORT`
cl_device_info
`static final int`
`CL_DEVICE_IMAGE2D_MAX_HEIGHT`
cl_device_info
`static final int`
`CL_DEVICE_IMAGE2D_MAX_WIDTH`
cl_device_info
`static final int`
`CL_DEVICE_IMAGE3D_MAX_DEPTH`
cl_device_info
`static final int`
`CL_DEVICE_IMAGE3D_MAX_HEIGHT`
cl_device_info
`static final int`
`CL_DEVICE_IMAGE3D_MAX_WIDTH`
cl_device_info
`static final int`
`CL_DEVICE_LOCAL_MEM_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_LOCAL_MEM_TYPE`
cl_device_info
`static final int`
`CL_DEVICE_MAX_CLOCK_FREQUENCY`
cl_device_info
`static final int`
`CL_DEVICE_MAX_COMPUTE_UNITS`
cl_device_info
`static final int`
`CL_DEVICE_MAX_CONSTANT_ARGS`
cl_device_info
`static final int`
`CL_DEVICE_MAX_CONSTANT_BUFFER_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_MAX_MEM_ALLOC_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_MAX_PARAMETER_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_MAX_READ_IMAGE_ARGS`
cl_device_info
`static final int`
`CL_DEVICE_MAX_SAMPLERS`
cl_device_info
`static final int`
`CL_DEVICE_MAX_WORK_GROUP_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_MAX_WORK_ITEM_DIMENSIONS`
cl_device_info
`static final int`
`CL_DEVICE_MAX_WORK_ITEM_SIZES`
cl_device_info
`static final int`
`CL_DEVICE_MAX_WRITE_IMAGE_ARGS`
cl_device_info
`static final int`
`CL_DEVICE_MEM_BASE_ADDR_ALIGN`
cl_device_info
`static final int`
`CL_DEVICE_MIN_DATA_TYPE_ALIGN_SIZE`
cl_device_info
`static final int`
`CL_DEVICE_NAME`
cl_device_info
`static final int`
`CL_DEVICE_NOT_AVAILABLE`
Error Codes
`static final int`
`CL_DEVICE_NOT_FOUND`
Error Codes
`static final int`
`CL_DEVICE_PLATFORM`
cl_device_info
`static final int`
`CL_DEVICE_PREFERRED_VECTOR_WIDTH_`
cl_device_info
`static final int`
`CL_DEVICE_PREFERRED_VECTOR_WIDTH_CHAR`
cl_device_info
`static final int`
`CL_DEVICE_PREFERRED_VECTOR_WIDTH_DOUBLE`
cl_device_info
`static final int`
`CL_DEVICE_PREFERRED_VECTOR_WIDTH_FLOAT`
cl_device_info
`static final int`
`CL_DEVICE_PREFERRED_VECTOR_WIDTH_LONG`
cl_device_info
`static final int`
`CL_DEVICE_PREFERRED_VECTOR_WIDTH_SHORT`
cl_device_info
`static final int`
`CL_DEVICE_PROFILE`
cl_device_info
`static final int`
`CL_DEVICE_PROFILING_TIMER_RESOLUTION`
cl_device_info
`static final int`
`CL_DEVICE_QUEUE_PROPERTIES`
cl_device_info
`static final int`
`CL_DEVICE_SINGLE_FP_CONFIG`
cl_device_info
`static final int`
`CL_DEVICE_TYPE`
cl_device_info
`static final int`
`CL_DEVICE_TYPE_ACCELERATOR`
cl_device_type - bitfield
`static final int`
`CL_DEVICE_TYPE_ALL`
cl_device_type - bitfield
`static final int`
`CL_DEVICE_TYPE_CPU`
cl_device_type - bitfield
`static final int`
`CL_DEVICE_TYPE_DEFAULT`
cl_device_type - bitfield
`static final int`
`CL_DEVICE_TYPE_GPU`
cl_device_type - bitfield
`static final int`
`CL_DEVICE_VENDOR`
cl_device_info
`static final int`
`CL_DEVICE_VENDOR_ID`
cl_device_info
`static final int`
`CL_DEVICE_VERSION`
cl_device_info
`static final int`
`CL_DRIVER_VERSION`
cl_device_info
`static final int`
`CL_EVENT_COMMAND_EXECUTION_STATUS`
cl_event_info
`static final int`
`CL_EVENT_COMMAND_QUEUE`
cl_event_info
`static final int`
`CL_EVENT_COMMAND_TYPE`
cl_event_info
`static final int`
`CL_EVENT_REFERENCE_COUNT`
cl_event_info
`static final int`
`CL_EXEC_KERNEL`
cl_device_exec_capabilities - bitfield
`static final int`
`CL_EXEC_NATIVE_KERNEL`
cl_device_exec_capabilities - bitfield
`static final int`
`CL_FALSE`
cl_bool
`static final int`
`CL_FILTER_LINEAR`
cl_filter_mode
`static final int`
`CL_FILTER_NEAREST`
cl_filter_mode
`static final int`
`CL_FLOAT`
cl_channel_type
`static final int`
`CL_FP_DENORM`
cl_device_fp_config - bitfield
`static final int`
`CL_FP_FMA`
cl_device_fp_config - bitfield
`static final int`
`CL_FP_INF_NAN`
cl_device_fp_config - bitfield
`static final int`
`CL_FP_ROUND_TO_INF`
cl_device_fp_config - bitfield
`static final int`
`CL_FP_ROUND_TO_NEAREST`
cl_device_fp_config - bitfield
`static final int`
`CL_FP_ROUND_TO_ZERO`
cl_device_fp_config - bitfield
`static final int`
`CL_GLOBAL`
cl_device_local_mem_type
`static final int`
`CL_HALF_FLOAT`
cl_channel_type
`static final int`
`CL_IMAGE_DEPTH`
cl_image_info
`static final int`
`CL_IMAGE_ELEMENT_SIZE`
cl_image_info
`static final int`
`CL_IMAGE_FORMAT`
cl_image_info
`static final int`
`CL_IMAGE_FORMAT_MISMATCH`
Error Codes
`static final int`
`CL_IMAGE_FORMAT_NOT_SUPPORTED`
Error Codes
`static final int`
`CL_IMAGE_HEIGHT`
cl_image_info
`static final int`
`CL_IMAGE_ROW_PITCH`
cl_image_info
`static final int`
`CL_IMAGE_SLICE_PITCH`
cl_image_info
`static final int`
`CL_IMAGE_WIDTH`
cl_image_info
`static final int`
`CL_INTENSITY`
cl_channel_order
`static final int`
`CL_INVALID_ARG_INDEX`
Error Codes
`static final int`
`CL_INVALID_ARG_SIZE`
Error Codes
`static final int`
`CL_INVALID_ARG_VALUE`
Error Codes
`static final int`
`CL_INVALID_BINARY`
Error Codes
`static final int`
`CL_INVALID_BUFFER_SIZE`
Error Codes
`static final int`
`CL_INVALID_BUILD_OPTIONS`
Error Codes
`static final int`
`CL_INVALID_COMMAND_QUEUE`
Error Codes
`static final int`
`CL_INVALID_CONTEXT`
Error Codes
`static final int`
`CL_INVALID_DEVICE`
Error Codes
`static final int`
`CL_INVALID_DEVICE_TYPE`
Error Codes
`static final int`
`CL_INVALID_EVENT`
Error Codes
`static final int`
`CL_INVALID_EVENT_WAIT_LIST`
Error Codes
`static final int`
`CL_INVALID_GL_OBJECT`
Error Codes
`static final int`
`CL_INVALID_GLOBAL_OFFSET`
Error Codes
`static final int`
`CL_INVALID_GLOBAL_WORK_SIZE`
Error Codes
`static final int`
`CL_INVALID_HOST_PTR`
Error Codes
`static final int`
`CL_INVALID_IMAGE_FORMAT_DESCRIPTOR`
Error Codes
`static final int`
`CL_INVALID_IMAGE_SIZE`
Error Codes
`static final int`
`CL_INVALID_KERNEL`
Error Codes
`static final int`
`CL_INVALID_KERNEL_ARGS`
Error Codes
`static final int`
`CL_INVALID_KERNEL_DEFINITION`
Error Codes
`static final int`
`CL_INVALID_KERNEL_NAME`
Error Codes
`static final int`
`CL_INVALID_MEM_OBJECT`
Error Codes
`static final int`
`CL_INVALID_MIP_LEVEL`
Error Codes
`static final int`
`CL_INVALID_OPERATION`
Error Codes
`static final int`
`CL_INVALID_PLATFORM`
Error Codes
`static final int`
`CL_INVALID_PROGRAM`
Error Codes
`static final int`
`CL_INVALID_PROGRAM_EXECUTABLE`
Error Codes
`static final int`
`CL_INVALID_QUEUE_PROPERTIES`
Error Codes
`static final int`
`CL_INVALID_SAMPLER`
Error Codes
`static final int`
`CL_INVALID_VALUE`
Error Codes
`static final int`
`CL_INVALID_WORK_DIMENSION`
Error Codes
`static final int`
`CL_INVALID_WORK_GROUP_SIZE`
Error Codes
`static final int`
`CL_INVALID_WORK_ITEM_SIZE`
Error Codes
`static final int`
`CL_KERNEL_COMPILE_WORK_GROUP_SIZE`
cl_kernel_work_group_info
`static final int`
`CL_KERNEL_CONTEXT`
cl_kernel_info
`static final int`
`CL_KERNEL_FUNCTION_NAME`
cl_kernel_info
`static final int`
`CL_KERNEL_LOCAL_MEM_SIZE`
cl_kernel_work_group_info
`static final int`
`CL_KERNEL_NUM_ARGS`
cl_kernel_info
`static final int`
`CL_KERNEL_PROGRAM`
cl_kernel_info
`static final int`
`CL_KERNEL_REFERENCE_COUNT`
cl_kernel_info
`static final int`
`CL_KERNEL_WORK_GROUP_SIZE`
cl_kernel_work_group_info
`static final int`
`CL_LOCAL`
cl_device_local_mem_type
`static final int`
`CL_LUMINANCE`
cl_channel_order
`static final int`
`CL_MAP_FAILURE`
Error Codes
`static final int`
`CL_MAP_READ`
cl_map_flags - bitfield
`static final int`
`CL_MAP_WRITE`
cl_map_flags - bitfield
`static final int`
`CL_MEM_ALLOC_HOST_PTR`
cl_mem_flags - bitfield
`static final int`
`CL_MEM_CONTEXT`
cl_mem_info
`static final int`
`CL_MEM_COPY_HOST_PTR`
cl_mem_flags - bitfield
`static final int`
`CL_MEM_COPY_OVERLAP`
Error Codes
`static final int`
`CL_MEM_FLAGS`
cl_mem_info
`static final int`
`CL_MEM_HOST_PTR`
cl_mem_info
`static final int`
`CL_MEM_MAP_COUNT`
cl_mem_info
`static final int`
`CL_MEM_OBJECT_ALLOCATION_FAILURE`
Error Codes
`static final int`
`CL_MEM_OBJECT_BUFFER`
cl_mem_object_type
`static final int`
`CL_MEM_OBJECT_IMAGE2D`
cl_mem_object_type
`static final int`
`CL_MEM_OBJECT_IMAGE3D`
cl_mem_object_type
`static final int`
`CL_MEM_READ_ONLY`
cl_mem_flags - bitfield
`static final int`
`CL_MEM_READ_WRITE`
cl_mem_flags - bitfield
`static final int`
`CL_MEM_REFERENCE_COUNT`
cl_mem_info
`static final int`
`CL_MEM_SIZE`
cl_mem_info
`static final int`
`CL_MEM_TYPE`
cl_mem_info
`static final int`
`CL_MEM_USE_HOST_PTR`
cl_mem_flags - bitfield
`static final int`
`CL_MEM_WRITE_ONLY`
cl_mem_flags - bitfield
`static final int`
`CL_NONE`
cl_device_mem_cache_type
`static final int`
`CL_OUT_OF_HOST_MEMORY`
Error Codes
`static final int`
`CL_OUT_OF_RESOURCES`
Error Codes
`static final int`
`CL_PLATFORM_EXTENSIONS`
cl_platform_info
`static final int`
`CL_PLATFORM_NAME`
cl_platform_info
`static final int`
`CL_PLATFORM_PROFILE`
cl_platform_info
`static final int`
`CL_PLATFORM_VENDOR`
cl_platform_info
`static final int`
`CL_PLATFORM_VERSION`
cl_platform_info
`static final int`
`CL_PROFILING_COMMAND_END`
cl_profiling_info
`static final int`
`CL_PROFILING_COMMAND_QUEUED`
cl_profiling_info
`static final int`
`CL_PROFILING_COMMAND_START`
cl_profiling_info
`static final int`
`CL_PROFILING_COMMAND_SUBMIT`
cl_profiling_info
`static final int`
`CL_PROFILING_INFO_NOT_AVAILABLE`
Error Codes
`static final int`
`CL_PROGRAM_BINARIES`
cl_program_info
`static final int`
`CL_PROGRAM_BINARY_SIZES`
cl_program_info
`static final int`
`CL_PROGRAM_BUILD_LOG`
cl_program_build_info
`static final int`
`CL_PROGRAM_BUILD_OPTIONS`
cl_program_build_info
`static final int`
`CL_PROGRAM_BUILD_STATUS`
cl_program_build_info
`static final int`
`CL_PROGRAM_CONTEXT`
cl_program_info
`static final int`
`CL_PROGRAM_DEVICES`
cl_program_info
`static final int`
`CL_PROGRAM_NUM_DEVICES`
cl_program_info
`static final int`
`CL_PROGRAM_REFERENCE_COUNT`
cl_program_info
`static final int`
`CL_PROGRAM_SOURCE`
cl_program_info
`static final int`
`CL_QUEUE_CONTEXT`
cl_command_queue_info
`static final int`
`CL_QUEUE_DEVICE`
cl_command_queue_info
`static final int`
`CL_QUEUE_OUT_OF_ORDER_EXEC_MODE_ENABLE`
cl_command_queue_properties - bitfield
`static final int`
`CL_QUEUE_PROFILING_ENABLE`
cl_command_queue_properties - bitfield
`static final int`
`CL_QUEUE_PROPERTIES`
cl_command_queue_info
`static final int`
`CL_QUEUE_REFERENCE_COUNT`
cl_command_queue_info
`static final int`
`CL_QUEUED`
command execution status
`static final int`
`CL_R`
cl_channel_order
`static final int`
`CL_RA`
cl_channel_order
`static final int`
`CL_READ_ONLY_CACHE`
cl_device_mem_cache_type
`static final int`
`CL_READ_WRITE_CACHE`
cl_device_mem_cache_type
`static final int`
`CL_RG`
cl_channel_order
`static final int`
`CL_RGB`
cl_channel_order
`static final int`
`CL_RGBA`
cl_channel_order
`static final int`
`CL_RUNNING`
command execution status
`static final int`
`CL_SAMPLER_ADDRESSING_MODE`
cl_sampler_info
`static final int`
`CL_SAMPLER_CONTEXT`
cl_sampler_info
`static final int`
`CL_SAMPLER_FILTER_MODE`
cl_sampler_info
`static final int`
`CL_SAMPLER_NORMALIZED_COORDS`
cl_sampler_info
`static final int`
`CL_SAMPLER_REFERENCE_COUNT`
cl_sampler_info
`static final int`
`CL_SIGNED_INT16`
cl_channel_type
`static final int`
`CL_SIGNED_INT32`
cl_channel_type
`static final int`
`CL_SIGNED_INT8`
cl_channel_type
`static final int`
`CL_SNORM_INT16`
cl_channel_type
`static final int`
`CL_SNORM_INT8`
cl_channel_type
`static final int`
`CL_SUBMITTED`
command execution status
`static final int`
`CL_SUCCESS`
Error Codes
`static final int`
`CL_TRUE`
cl_bool
`static final int`
`CL_UNORM_INT_101010`
cl_channel_type
`static final int`
`CL_UNORM_INT16`
cl_channel_type
`static final int`
`CL_UNORM_INT8`
cl_channel_type
`static final int`
`CL_UNORM_SHORT_555`
cl_channel_type
`static final int`
`CL_UNORM_SHORT_565`
cl_channel_type
`static final int`
`CL_UNSIGNED_INT16`
cl_channel_type
`static final int`
`CL_UNSIGNED_INT32`
cl_channel_type
`static final int`
`CL_UNSIGNED_INT8`
cl_channel_type
`static final int`
`CL_VERSION_1_0`
OpenCL Version

## Method Summary

Modifier and Type
Method
Description
`static int`
`clBuildProgram(CLProgram program, CLDevice device, CharSequence options, CLBuildProgramCallback pfn_notify)`
Overloads clBuildProgram.
`static int`
`clBuildProgram(CLProgram program, PointerBuffer device_list, CharSequence options, CLBuildProgramCallback pfn_notify)`
Overloads clBuildProgram.
`static int`
`clBuildProgram(CLProgram program, PointerBuffer device_list, ByteBuffer options, CLBuildProgramCallback pfn_notify)`
`static CLMem`
`clCreateBuffer(CLContext context, long flags, long host_ptr_size, IntBuffer errcode_ret)`
`static CLMem`
`clCreateBuffer(CLContext context, long flags, ByteBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateBuffer(CLContext context, long flags, DoubleBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateBuffer(CLContext context, long flags, FloatBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateBuffer(CLContext context, long flags, IntBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateBuffer(CLContext context, long flags, LongBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateBuffer(CLContext context, long flags, ShortBuffer host_ptr, IntBuffer errcode_ret)`
`static CLCommandQueue`
`clCreateCommandQueue(CLContext context, CLDevice device, long properties, IntBuffer errcode_ret)`
`static CLContext`
`clCreateContext(PointerBuffer properties, CLDevice device, CLContextCallback pfn_notify, IntBuffer errcode_ret)`
Overloads clCreateContext.
`static CLContext`
`clCreateContext(PointerBuffer properties, PointerBuffer devices, CLContextCallback pfn_notify, IntBuffer errcode_ret)`
LWJGL requires CL_CONTEXT_PLATFORM to be present in the cl_context_properties buffer.
`static CLContext`
`clCreateContextFromType(PointerBuffer properties, long device_type, CLContextCallback pfn_notify, IntBuffer errcode_ret)`
LWJGL requires CL_CONTEXT_PLATFORM to be present in the cl_context_properties buffer.
`static CLMem`
`clCreateImage2D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_row_pitch, ByteBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateImage2D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_row_pitch, FloatBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateImage2D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_row_pitch, IntBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateImage2D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_row_pitch, ShortBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateImage3D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, ByteBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateImage3D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, FloatBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateImage3D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, IntBuffer host_ptr, IntBuffer errcode_ret)`
`static CLMem`
`clCreateImage3D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, ShortBuffer host_ptr, IntBuffer errcode_ret)`
`static CLKernel`
`clCreateKernel(CLProgram program, CharSequence kernel_name, IntBuffer errcode_ret)`
Overloads clCreateKernel.
`static CLKernel`
`clCreateKernel(CLProgram program, ByteBuffer kernel_name, IntBuffer errcode_ret)`
`static int`
`clCreateKernelsInProgram(CLProgram program, PointerBuffer kernels, IntBuffer num_kernels_ret)`
`static CLProgram`
`clCreateProgramWithBinary(CLContext context, CLDevice device, ByteBuffer binary, IntBuffer binary_status, IntBuffer errcode_ret)`
`static CLProgram`
`clCreateProgramWithBinary(CLContext context, PointerBuffer device_list, ByteBuffer[] binaries, IntBuffer binary_status, IntBuffer errcode_ret)`
Overloads clCreateProgramWithBinary.
`static CLProgram`
`clCreateProgramWithBinary(CLContext context, PointerBuffer device_list, PointerBuffer lengths, ByteBuffer binaries, IntBuffer binary_status, IntBuffer errcode_ret)`
Overloads clCreateProgramWithBinary.
`static CLProgram`
`clCreateProgramWithSource(CLContext context, CharSequence[] strings, IntBuffer errcode_ret)`
Overloads clCreateProgramWithSource.
`static CLProgram`
`clCreateProgramWithSource(CLContext context, CharSequence string, IntBuffer errcode_ret)`
Overloads clCreateProgramWithSource.
`static CLProgram`
`clCreateProgramWithSource(CLContext context, ByteBuffer[] strings, IntBuffer errcode_ret)`
Overloads clCreateProgramWithSource.
`static CLProgram`
`clCreateProgramWithSource(CLContext context, ByteBuffer string, IntBuffer errcode_ret)`
`static CLProgram`
`clCreateProgramWithSource(CLContext context, ByteBuffer strings, PointerBuffer lengths, IntBuffer errcode_ret)`
Overloads clCreateProgramWithSource.
`static CLSampler`
`clCreateSampler(CLContext context, int normalized_coords, int addressing_mode, int filter_mode, IntBuffer errcode_ret)`
`static int`
`clEnqueueBarrier(CLCommandQueue command_queue)`
`static int`
`clEnqueueCopyBuffer(CLCommandQueue command_queue, CLMem src_buffer, CLMem dst_buffer, long src_offset, long dst_offset, long size, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueCopyBufferToImage(CLCommandQueue command_queue, CLMem src_buffer, CLMem dst_image, long src_offset, PointerBuffer dst_origin, PointerBuffer region, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueCopyImage(CLCommandQueue command_queue, CLMem src_image, CLMem dst_image, PointerBuffer src_origin, PointerBuffer dst_origin, PointerBuffer region, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueCopyImageToBuffer(CLCommandQueue command_queue, CLMem src_image, CLMem dst_buffer, PointerBuffer src_origin, PointerBuffer region, long dst_offset, PointerBuffer event_wait_list, PointerBuffer event)`
`static ByteBuffer`
`clEnqueueMapBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_map, long map_flags, long offset, long size, PointerBuffer event_wait_list, PointerBuffer event, IntBuffer errcode_ret)`
`static ByteBuffer`
`clEnqueueMapImage(CLCommandQueue command_queue, CLMem image, int blocking_map, long map_flags, PointerBuffer origin, PointerBuffer region, PointerBuffer image_row_pitch, PointerBuffer image_slice_pitch, PointerBuffer event_wait_list, PointerBuffer event, IntBuffer errcode_ret)`
`static int`
`clEnqueueMarker(CLCommandQueue command_queue, PointerBuffer event)`
`static int`
`clEnqueueNativeKernel(CLCommandQueue command_queue, CLNativeKernel user_func, CLMem[] mem_list, long[] sizes, PointerBuffer event_wait_list, PointerBuffer event)`
Enqueues a native kernel to the specified command queue.
`static int`
`clEnqueueNDRangeKernel(CLCommandQueue command_queue, CLKernel kernel, int work_dim, PointerBuffer global_work_offset, PointerBuffer global_work_size, PointerBuffer local_work_size, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, DoubleBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, LongBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadImage(CLCommandQueue command_queue, CLMem image, int blocking_read, PointerBuffer origin, PointerBuffer region, long row_pitch, long slice_pitch, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadImage(CLCommandQueue command_queue, CLMem image, int blocking_read, PointerBuffer origin, PointerBuffer region, long row_pitch, long slice_pitch, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadImage(CLCommandQueue command_queue, CLMem image, int blocking_read, PointerBuffer origin, PointerBuffer region, long row_pitch, long slice_pitch, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadImage(CLCommandQueue command_queue, CLMem image, int blocking_read, PointerBuffer origin, PointerBuffer region, long row_pitch, long slice_pitch, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueTask(CLCommandQueue command_queue, CLKernel kernel, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueUnmapMemObject(CLCommandQueue command_queue, CLMem memobj, ByteBuffer mapped_ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWaitForEvents(CLCommandQueue command_queue, CLEvent event)`
Overloads clEnqueueWaitForEvents.
`static int`
`clEnqueueWaitForEvents(CLCommandQueue command_queue, PointerBuffer event_list)`
`static int`
`clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, DoubleBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, LongBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteImage(CLCommandQueue command_queue, CLMem image, int blocking_write, PointerBuffer origin, PointerBuffer region, long input_row_pitch, long input_slice_pitch, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteImage(CLCommandQueue command_queue, CLMem image, int blocking_write, PointerBuffer origin, PointerBuffer region, long input_row_pitch, long input_slice_pitch, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteImage(CLCommandQueue command_queue, CLMem image, int blocking_write, PointerBuffer origin, PointerBuffer region, long input_row_pitch, long input_slice_pitch, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteImage(CLCommandQueue command_queue, CLMem image, int blocking_write, PointerBuffer origin, PointerBuffer region, long input_row_pitch, long input_slice_pitch, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clFinish(CLCommandQueue command_queue)`
`static int`
`clFlush(CLCommandQueue command_queue)`
`static int`
`clGetCommandQueueInfo(CLCommandQueue command_queue, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetContextInfo(CLContext context, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetDeviceIDs(CLPlatform platform, long device_type, PointerBuffer devices, IntBuffer num_devices)`
`static int`
`clGetDeviceInfo(CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetEventInfo(CLEvent event, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetEventProfilingInfo(CLEvent event, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetImageInfo(CLMem image, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetKernelInfo(CLKernel kernel, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetKernelWorkGroupInfo(CLKernel kernel, CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetMemObjectInfo(CLMem memobj, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetPlatformIDs(PointerBuffer platforms, IntBuffer num_platforms)`
`static int`
`clGetPlatformInfo(CLPlatform platform, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetProgramBuildInfo(CLProgram program, CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetProgramInfo(CLProgram program, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetProgramInfo(CLProgram program, ByteBuffer[] param_value, PointerBuffer param_value_size_ret)`
Overloads clGetProgramInfo.
`static int`
`clGetProgramInfo(CLProgram program, PointerBuffer sizes, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
Overloads clGetProgramInfo.
`static int`
`clGetSamplerInfo(CLSampler sampler, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
`clGetSupportedImageFormats(CLContext context, long flags, int image_type, ByteBuffer image_formats, IntBuffer num_image_formats)`
`static int`
`clReleaseCommandQueue(CLCommandQueue command_queue)`
`static int`
`clReleaseContext(CLContext context)`
`static int`
`clReleaseEvent(CLEvent event)`
`static int`
`clReleaseKernel(CLKernel kernel)`
`static int`
`clReleaseMemObject(CLMem memobj)`
`static int`
`clReleaseProgram(CLProgram program)`
`static int`
`clReleaseSampler(CLSampler sampler)`
`static int`
`clRetainCommandQueue(CLCommandQueue command_queue)`
`static int`
`clRetainContext(CLContext context)`
`static int`
`clRetainEvent(CLEvent event)`
`static int`
`clRetainKernel(CLKernel kernel)`
`static int`
`clRetainMemObject(CLMem memobj)`
`static int`
`clRetainProgram(CLProgram program)`
`static int`
`clRetainSampler(CLSampler sampler)`
`static int`
`clSetKernelArg(CLKernel kernel, int arg_index, long arg_value_arg_size)`
`static int`
`clSetKernelArg(CLKernel kernel, int arg_index, ByteBuffer arg_value)`
`static int`
`clSetKernelArg(CLKernel kernel, int arg_index, DoubleBuffer arg_value)`
`static int`
`clSetKernelArg(CLKernel kernel, int arg_index, FloatBuffer arg_value)`
`static int`
`clSetKernelArg(CLKernel kernel, int arg_index, IntBuffer arg_value)`
`static int`
`clSetKernelArg(CLKernel kernel, int arg_index, LongBuffer arg_value)`
`static int`
`clSetKernelArg(CLKernel kernel, int arg_index, ShortBuffer arg_value)`
`static int`
`clSetKernelArg(CLKernel kernel, int arg_index, org.lwjgl.opencl.CLObject arg_value)`
Overloads clSetKernelArg.
`static int`
`clUnloadCompiler()`
`static int`
`clWaitForEvents(CLEvent event)`
Overloads clWaitForEvents.
`static int`
`clWaitForEvents(PointerBuffer event_list)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_SUCCESS

public static final int CL_SUCCESS
Error Codes

See Also:
  - Constant Field Values

### CL_DEVICE_NOT_FOUND

public static final int CL_DEVICE_NOT_FOUND
Error Codes

See Also:
  - Constant Field Values

### CL_DEVICE_NOT_AVAILABLE

public static final int CL_DEVICE_NOT_AVAILABLE
Error Codes

See Also:
  - Constant Field Values

### CL_COMPILER_NOT_AVAILABLE

public static final int CL_COMPILER_NOT_AVAILABLE
Error Codes

See Also:
  - Constant Field Values

### CL_MEM_OBJECT_ALLOCATION_FAILURE

public static final int CL_MEM_OBJECT_ALLOCATION_FAILURE
Error Codes

See Also:
  - Constant Field Values

### CL_OUT_OF_RESOURCES

public static final int CL_OUT_OF_RESOURCES
Error Codes

See Also:
  - Constant Field Values

### CL_OUT_OF_HOST_MEMORY

public static final int CL_OUT_OF_HOST_MEMORY
Error Codes

See Also:
  - Constant Field Values

### CL_PROFILING_INFO_NOT_AVAILABLE

public static final int CL_PROFILING_INFO_NOT_AVAILABLE
Error Codes

See Also:
  - Constant Field Values

### CL_MEM_COPY_OVERLAP

public static final int CL_MEM_COPY_OVERLAP
Error Codes

See Also:
  - Constant Field Values

### CL_IMAGE_FORMAT_MISMATCH

public static final int CL_IMAGE_FORMAT_MISMATCH
Error Codes

See Also:
  - Constant Field Values

### CL_IMAGE_FORMAT_NOT_SUPPORTED

public static final int CL_IMAGE_FORMAT_NOT_SUPPORTED
Error Codes

See Also:
  - Constant Field Values

### CL_BUILD_PROGRAM_FAILURE

public static final int CL_BUILD_PROGRAM_FAILURE
Error Codes

See Also:
  - Constant Field Values

### CL_MAP_FAILURE

public static final int CL_MAP_FAILURE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_VALUE

public static final int CL_INVALID_VALUE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_DEVICE_TYPE

public static final int CL_INVALID_DEVICE_TYPE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_PLATFORM

public static final int CL_INVALID_PLATFORM
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_DEVICE

public static final int CL_INVALID_DEVICE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_CONTEXT

public static final int CL_INVALID_CONTEXT
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_QUEUE_PROPERTIES

public static final int CL_INVALID_QUEUE_PROPERTIES
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_COMMAND_QUEUE

public static final int CL_INVALID_COMMAND_QUEUE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_HOST_PTR

public static final int CL_INVALID_HOST_PTR
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_MEM_OBJECT

public static final int CL_INVALID_MEM_OBJECT
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_IMAGE_FORMAT_DESCRIPTOR

public static final int CL_INVALID_IMAGE_FORMAT_DESCRIPTOR
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_IMAGE_SIZE

public static final int CL_INVALID_IMAGE_SIZE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_SAMPLER

public static final int CL_INVALID_SAMPLER
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_BINARY

public static final int CL_INVALID_BINARY
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_BUILD_OPTIONS

public static final int CL_INVALID_BUILD_OPTIONS
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_PROGRAM

public static final int CL_INVALID_PROGRAM
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_PROGRAM_EXECUTABLE

public static final int CL_INVALID_PROGRAM_EXECUTABLE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_KERNEL_NAME

public static final int CL_INVALID_KERNEL_NAME
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_KERNEL_DEFINITION

public static final int CL_INVALID_KERNEL_DEFINITION
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_KERNEL

public static final int CL_INVALID_KERNEL
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_ARG_INDEX

public static final int CL_INVALID_ARG_INDEX
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_ARG_VALUE

public static final int CL_INVALID_ARG_VALUE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_ARG_SIZE

public static final int CL_INVALID_ARG_SIZE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_KERNEL_ARGS

public static final int CL_INVALID_KERNEL_ARGS
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_WORK_DIMENSION

public static final int CL_INVALID_WORK_DIMENSION
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_WORK_GROUP_SIZE

public static final int CL_INVALID_WORK_GROUP_SIZE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_WORK_ITEM_SIZE

public static final int CL_INVALID_WORK_ITEM_SIZE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_GLOBAL_OFFSET

public static final int CL_INVALID_GLOBAL_OFFSET
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_EVENT_WAIT_LIST

public static final int CL_INVALID_EVENT_WAIT_LIST
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_EVENT

public static final int CL_INVALID_EVENT
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_OPERATION

public static final int CL_INVALID_OPERATION
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_GL_OBJECT

public static final int CL_INVALID_GL_OBJECT
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_BUFFER_SIZE

public static final int CL_INVALID_BUFFER_SIZE
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_MIP_LEVEL

public static final int CL_INVALID_MIP_LEVEL
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_GLOBAL_WORK_SIZE

public static final int CL_INVALID_GLOBAL_WORK_SIZE
Error Codes

See Also:
  - Constant Field Values

### CL_VERSION_1_0

public static final int CL_VERSION_1_0
OpenCL Version

See Also:
  - Constant Field Values

### CL_FALSE

public static final int CL_FALSE
cl_bool

See Also:
  - Constant Field Values

### CL_TRUE

public static final int CL_TRUE
cl_bool

See Also:
  - Constant Field Values

### CL_PLATFORM_PROFILE

public static final int CL_PLATFORM_PROFILE
cl_platform_info

See Also:
  - Constant Field Values

### CL_PLATFORM_VERSION

public static final int CL_PLATFORM_VERSION
cl_platform_info

See Also:
  - Constant Field Values

### CL_PLATFORM_NAME

public static final int CL_PLATFORM_NAME
cl_platform_info

See Also:
  - Constant Field Values

### CL_PLATFORM_VENDOR

public static final int CL_PLATFORM_VENDOR
cl_platform_info

See Also:
  - Constant Field Values

### CL_PLATFORM_EXTENSIONS

public static final int CL_PLATFORM_EXTENSIONS
cl_platform_info

See Also:
  - Constant Field Values

### CL_DEVICE_TYPE_DEFAULT

public static final int CL_DEVICE_TYPE_DEFAULT
cl_device_type - bitfield

See Also:
  - Constant Field Values

### CL_DEVICE_TYPE_CPU

public static final int CL_DEVICE_TYPE_CPU
cl_device_type - bitfield

See Also:
  - Constant Field Values

### CL_DEVICE_TYPE_GPU

public static final int CL_DEVICE_TYPE_GPU
cl_device_type - bitfield

See Also:
  - Constant Field Values

### CL_DEVICE_TYPE_ACCELERATOR

public static final int CL_DEVICE_TYPE_ACCELERATOR
cl_device_type - bitfield

See Also:
  - Constant Field Values

### CL_DEVICE_TYPE_ALL

public static final int CL_DEVICE_TYPE_ALL
cl_device_type - bitfield

See Also:
  - Constant Field Values

### CL_DEVICE_TYPE

public static final int CL_DEVICE_TYPE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_VENDOR_ID

public static final int CL_DEVICE_VENDOR_ID
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_COMPUTE_UNITS

public static final int CL_DEVICE_MAX_COMPUTE_UNITS
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_WORK_ITEM_DIMENSIONS

public static final int CL_DEVICE_MAX_WORK_ITEM_DIMENSIONS
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_WORK_GROUP_SIZE

public static final int CL_DEVICE_MAX_WORK_GROUP_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_WORK_ITEM_SIZES

public static final int CL_DEVICE_MAX_WORK_ITEM_SIZES
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PREFERRED_VECTOR_WIDTH_CHAR

public static final int CL_DEVICE_PREFERRED_VECTOR_WIDTH_CHAR
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PREFERRED_VECTOR_WIDTH_SHORT

public static final int CL_DEVICE_PREFERRED_VECTOR_WIDTH_SHORT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PREFERRED_VECTOR_WIDTH_

public static final int CL_DEVICE_PREFERRED_VECTOR_WIDTH_
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PREFERRED_VECTOR_WIDTH_LONG

public static final int CL_DEVICE_PREFERRED_VECTOR_WIDTH_LONG
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PREFERRED_VECTOR_WIDTH_FLOAT

public static final int CL_DEVICE_PREFERRED_VECTOR_WIDTH_FLOAT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PREFERRED_VECTOR_WIDTH_DOUBLE

public static final int CL_DEVICE_PREFERRED_VECTOR_WIDTH_DOUBLE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_CLOCK_FREQUENCY

public static final int CL_DEVICE_MAX_CLOCK_FREQUENCY
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_ADDRESS_BITS

public static final int CL_DEVICE_ADDRESS_BITS
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_READ_IMAGE_ARGS

public static final int CL_DEVICE_MAX_READ_IMAGE_ARGS
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_WRITE_IMAGE_ARGS

public static final int CL_DEVICE_MAX_WRITE_IMAGE_ARGS
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_MEM_ALLOC_SIZE

public static final int CL_DEVICE_MAX_MEM_ALLOC_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_IMAGE2D_MAX_WIDTH

public static final int CL_DEVICE_IMAGE2D_MAX_WIDTH
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_IMAGE2D_MAX_HEIGHT

public static final int CL_DEVICE_IMAGE2D_MAX_HEIGHT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_IMAGE3D_MAX_WIDTH

public static final int CL_DEVICE_IMAGE3D_MAX_WIDTH
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_IMAGE3D_MAX_HEIGHT

public static final int CL_DEVICE_IMAGE3D_MAX_HEIGHT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_IMAGE3D_MAX_DEPTH

public static final int CL_DEVICE_IMAGE3D_MAX_DEPTH
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_IMAGE_SUPPORT

public static final int CL_DEVICE_IMAGE_SUPPORT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_PARAMETER_SIZE

public static final int CL_DEVICE_MAX_PARAMETER_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_SAMPLERS

public static final int CL_DEVICE_MAX_SAMPLERS
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MEM_BASE_ADDR_ALIGN

public static final int CL_DEVICE_MEM_BASE_ADDR_ALIGN
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MIN_DATA_TYPE_ALIGN_SIZE

public static final int CL_DEVICE_MIN_DATA_TYPE_ALIGN_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_SINGLE_FP_CONFIG

public static final int CL_DEVICE_SINGLE_FP_CONFIG
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_GLOBAL_MEM_CACHE_TYPE

public static final int CL_DEVICE_GLOBAL_MEM_CACHE_TYPE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_GLOBAL_MEM_CACHELINE_SIZE

public static final int CL_DEVICE_GLOBAL_MEM_CACHELINE_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_GLOBAL_MEM_CACHE_SIZE

public static final int CL_DEVICE_GLOBAL_MEM_CACHE_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_GLOBAL_MEM_SIZE

public static final int CL_DEVICE_GLOBAL_MEM_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_CONSTANT_BUFFER_SIZE

public static final int CL_DEVICE_MAX_CONSTANT_BUFFER_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_MAX_CONSTANT_ARGS

public static final int CL_DEVICE_MAX_CONSTANT_ARGS
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_LOCAL_MEM_TYPE

public static final int CL_DEVICE_LOCAL_MEM_TYPE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_LOCAL_MEM_SIZE

public static final int CL_DEVICE_LOCAL_MEM_SIZE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_ERROR_CORRECTION_SUPPORT

public static final int CL_DEVICE_ERROR_CORRECTION_SUPPORT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PROFILING_TIMER_RESOLUTION

public static final int CL_DEVICE_PROFILING_TIMER_RESOLUTION
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_ENDIAN_LITTLE

public static final int CL_DEVICE_ENDIAN_LITTLE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_AVAILABLE

public static final int CL_DEVICE_AVAILABLE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_COMPILER_AVAILABLE

public static final int CL_DEVICE_COMPILER_AVAILABLE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_EXECUTION_CAPABILITIES

public static final int CL_DEVICE_EXECUTION_CAPABILITIES
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_QUEUE_PROPERTIES

public static final int CL_DEVICE_QUEUE_PROPERTIES
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_NAME

public static final int CL_DEVICE_NAME
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_VENDOR

public static final int CL_DEVICE_VENDOR
cl_device_info

See Also:
  - Constant Field Values

### CL_DRIVER_VERSION

public static final int CL_DRIVER_VERSION
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PROFILE

public static final int CL_DEVICE_PROFILE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_VERSION

public static final int CL_DEVICE_VERSION
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_EXTENSIONS

public static final int CL_DEVICE_EXTENSIONS
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_PLATFORM

public static final int CL_DEVICE_PLATFORM
cl_device_info

See Also:
  - Constant Field Values

### CL_FP_DENORM

public static final int CL_FP_DENORM
cl_device_fp_config - bitfield

See Also:
  - Constant Field Values

### CL_FP_INF_NAN

public static final int CL_FP_INF_NAN
cl_device_fp_config - bitfield

See Also:
  - Constant Field Values

### CL_FP_ROUND_TO_NEAREST

public static final int CL_FP_ROUND_TO_NEAREST
cl_device_fp_config - bitfield

See Also:
  - Constant Field Values

### CL_FP_ROUND_TO_ZERO

public static final int CL_FP_ROUND_TO_ZERO
cl_device_fp_config - bitfield

See Also:
  - Constant Field Values

### CL_FP_ROUND_TO_INF

public static final int CL_FP_ROUND_TO_INF
cl_device_fp_config - bitfield

See Also:
  - Constant Field Values

### CL_FP_FMA

public static final int CL_FP_FMA
cl_device_fp_config - bitfield

See Also:
  - Constant Field Values

### CL_NONE

public static final int CL_NONE
cl_device_mem_cache_type

See Also:
  - Constant Field Values

### CL_READ_ONLY_CACHE

public static final int CL_READ_ONLY_CACHE
cl_device_mem_cache_type

See Also:
  - Constant Field Values

### CL_READ_WRITE_CACHE

public static final int CL_READ_WRITE_CACHE
cl_device_mem_cache_type

See Also:
  - Constant Field Values

### CL_LOCAL

public static final int CL_LOCAL
cl_device_local_mem_type

See Also:
  - Constant Field Values

### CL_GLOBAL

public static final int CL_GLOBAL
cl_device_local_mem_type

See Also:
  - Constant Field Values

### CL_EXEC_KERNEL

public static final int CL_EXEC_KERNEL
cl_device_exec_capabilities - bitfield

See Also:
  - Constant Field Values

### CL_EXEC_NATIVE_KERNEL

public static final int CL_EXEC_NATIVE_KERNEL
cl_device_exec_capabilities - bitfield

See Also:
  - Constant Field Values

### CL_QUEUE_OUT_OF_ORDER_EXEC_MODE_ENABLE

public static final int CL_QUEUE_OUT_OF_ORDER_EXEC_MODE_ENABLE
cl_command_queue_properties - bitfield

See Also:
  - Constant Field Values

### CL_QUEUE_PROFILING_ENABLE

public static final int CL_QUEUE_PROFILING_ENABLE
cl_command_queue_properties - bitfield

See Also:
  - Constant Field Values

### CL_CONTEXT_REFERENCE_COUNT

public static final int CL_CONTEXT_REFERENCE_COUNT
cl_context_info

See Also:
  - Constant Field Values

### CL_CONTEXT_DEVICES

public static final int CL_CONTEXT_DEVICES
cl_context_info

See Also:
  - Constant Field Values

### CL_CONTEXT_PROPERTIES

public static final int CL_CONTEXT_PROPERTIES
cl_context_info

See Also:
  - Constant Field Values

### CL_CONTEXT_PLATFORM

public static final int CL_CONTEXT_PLATFORM
cl_context_info + cl_context_properties

See Also:
  - Constant Field Values

### CL_QUEUE_CONTEXT

public static final int CL_QUEUE_CONTEXT
cl_command_queue_info

See Also:
  - Constant Field Values

### CL_QUEUE_DEVICE

public static final int CL_QUEUE_DEVICE
cl_command_queue_info

See Also:
  - Constant Field Values

### CL_QUEUE_REFERENCE_COUNT

public static final int CL_QUEUE_REFERENCE_COUNT
cl_command_queue_info

See Also:
  - Constant Field Values

### CL_QUEUE_PROPERTIES

public static final int CL_QUEUE_PROPERTIES
cl_command_queue_info

See Also:
  - Constant Field Values

### CL_MEM_READ_WRITE

public static final int CL_MEM_READ_WRITE
cl_mem_flags - bitfield

See Also:
  - Constant Field Values

### CL_MEM_WRITE_ONLY

public static final int CL_MEM_WRITE_ONLY
cl_mem_flags - bitfield

See Also:
  - Constant Field Values

### CL_MEM_READ_ONLY

public static final int CL_MEM_READ_ONLY
cl_mem_flags - bitfield

See Also:
  - Constant Field Values

### CL_MEM_USE_HOST_PTR

public static final int CL_MEM_USE_HOST_PTR
cl_mem_flags - bitfield

See Also:
  - Constant Field Values

### CL_MEM_ALLOC_HOST_PTR

public static final int CL_MEM_ALLOC_HOST_PTR
cl_mem_flags - bitfield

See Also:
  - Constant Field Values

### CL_MEM_COPY_HOST_PTR

public static final int CL_MEM_COPY_HOST_PTR
cl_mem_flags - bitfield

See Also:
  - Constant Field Values

### CL_R

public static final int CL_R
cl_channel_order

See Also:
  - Constant Field Values

### CL_A

public static final int CL_A
cl_channel_order

See Also:
  - Constant Field Values

### CL_RG

public static final int CL_RG
cl_channel_order

See Also:
  - Constant Field Values

### CL_RA

public static final int CL_RA
cl_channel_order

See Also:
  - Constant Field Values

### CL_RGB

public static final int CL_RGB
cl_channel_order

See Also:
  - Constant Field Values

### CL_RGBA

public static final int CL_RGBA
cl_channel_order

See Also:
  - Constant Field Values

### CL_BGRA

public static final int CL_BGRA
cl_channel_order

See Also:
  - Constant Field Values

### CL_ARGB

public static final int CL_ARGB
cl_channel_order

See Also:
  - Constant Field Values

### CL_INTENSITY

public static final int CL_INTENSITY
cl_channel_order

See Also:
  - Constant Field Values

### CL_LUMINANCE

public static final int CL_LUMINANCE
cl_channel_order

See Also:
  - Constant Field Values

### CL_SNORM_INT8

public static final int CL_SNORM_INT8
cl_channel_type

See Also:
  - Constant Field Values

### CL_SNORM_INT16

public static final int CL_SNORM_INT16
cl_channel_type

See Also:
  - Constant Field Values

### CL_UNORM_INT8

public static final int CL_UNORM_INT8
cl_channel_type

See Also:
  - Constant Field Values

### CL_UNORM_INT16

public static final int CL_UNORM_INT16
cl_channel_type

See Also:
  - Constant Field Values

### CL_UNORM_SHORT_565

public static final int CL_UNORM_SHORT_565
cl_channel_type

See Also:
  - Constant Field Values

### CL_UNORM_SHORT_555

public static final int CL_UNORM_SHORT_555
cl_channel_type

See Also:
  - Constant Field Values

### CL_UNORM_INT_101010

public static final int CL_UNORM_INT_101010
cl_channel_type

See Also:
  - Constant Field Values

### CL_SIGNED_INT8

public static final int CL_SIGNED_INT8
cl_channel_type

See Also:
  - Constant Field Values

### CL_SIGNED_INT16

public static final int CL_SIGNED_INT16
cl_channel_type

See Also:
  - Constant Field Values

### CL_SIGNED_INT32

public static final int CL_SIGNED_INT32
cl_channel_type

See Also:
  - Constant Field Values

### CL_UNSIGNED_INT8

public static final int CL_UNSIGNED_INT8
cl_channel_type

See Also:
  - Constant Field Values

### CL_UNSIGNED_INT16

public static final int CL_UNSIGNED_INT16
cl_channel_type

See Also:
  - Constant Field Values

### CL_UNSIGNED_INT32

public static final int CL_UNSIGNED_INT32
cl_channel_type

See Also:
  - Constant Field Values

### CL_HALF_FLOAT

public static final int CL_HALF_FLOAT
cl_channel_type

See Also:
  - Constant Field Values

### CL_FLOAT

public static final int CL_FLOAT
cl_channel_type

See Also:
  - Constant Field Values

### CL_MEM_OBJECT_BUFFER

public static final int CL_MEM_OBJECT_BUFFER
cl_mem_object_type

See Also:
  - Constant Field Values

### CL_MEM_OBJECT_IMAGE2D

public static final int CL_MEM_OBJECT_IMAGE2D
cl_mem_object_type

See Also:
  - Constant Field Values

### CL_MEM_OBJECT_IMAGE3D

public static final int CL_MEM_OBJECT_IMAGE3D
cl_mem_object_type

See Also:
  - Constant Field Values

### CL_MEM_TYPE

public static final int CL_MEM_TYPE
cl_mem_info

See Also:
  - Constant Field Values

### CL_MEM_FLAGS

public static final int CL_MEM_FLAGS
cl_mem_info

See Also:
  - Constant Field Values

### CL_MEM_SIZE

public static final int CL_MEM_SIZE
cl_mem_info

See Also:
  - Constant Field Values

### CL_MEM_HOST_PTR

public static final int CL_MEM_HOST_PTR
cl_mem_info

See Also:
  - Constant Field Values

### CL_MEM_MAP_COUNT

public static final int CL_MEM_MAP_COUNT
cl_mem_info

See Also:
  - Constant Field Values

### CL_MEM_REFERENCE_COUNT

public static final int CL_MEM_REFERENCE_COUNT
cl_mem_info

See Also:
  - Constant Field Values

### CL_MEM_CONTEXT

public static final int CL_MEM_CONTEXT
cl_mem_info

See Also:
  - Constant Field Values

### CL_IMAGE_FORMAT

public static final int CL_IMAGE_FORMAT
cl_image_info

See Also:
  - Constant Field Values

### CL_IMAGE_ELEMENT_SIZE

public static final int CL_IMAGE_ELEMENT_SIZE
cl_image_info

See Also:
  - Constant Field Values

### CL_IMAGE_ROW_PITCH

public static final int CL_IMAGE_ROW_PITCH
cl_image_info

See Also:
  - Constant Field Values

### CL_IMAGE_SLICE_PITCH

public static final int CL_IMAGE_SLICE_PITCH
cl_image_info

See Also:
  - Constant Field Values

### CL_IMAGE_WIDTH

public static final int CL_IMAGE_WIDTH
cl_image_info

See Also:
  - Constant Field Values

### CL_IMAGE_HEIGHT

public static final int CL_IMAGE_HEIGHT
cl_image_info

See Also:
  - Constant Field Values

### CL_IMAGE_DEPTH

public static final int CL_IMAGE_DEPTH
cl_image_info

See Also:
  - Constant Field Values

### CL_ADDRESS_NONE

public static final int CL_ADDRESS_NONE
cl_addressing_mode

See Also:
  - Constant Field Values

### CL_ADDRESS_CLAMP_TO_EDGE

public static final int CL_ADDRESS_CLAMP_TO_EDGE
cl_addressing_mode

See Also:
  - Constant Field Values

### CL_ADDRESS_CLAMP

public static final int CL_ADDRESS_CLAMP
cl_addressing_mode

See Also:
  - Constant Field Values

### CL_ADDRESS_REPEAT

public static final int CL_ADDRESS_REPEAT
cl_addressing_mode

See Also:
  - Constant Field Values

### CL_FILTER_NEAREST

public static final int CL_FILTER_NEAREST
cl_filter_mode

See Also:
  - Constant Field Values

### CL_FILTER_LINEAR

public static final int CL_FILTER_LINEAR
cl_filter_mode

See Also:
  - Constant Field Values

### CL_SAMPLER_REFERENCE_COUNT

public static final int CL_SAMPLER_REFERENCE_COUNT
cl_sampler_info

See Also:
  - Constant Field Values

### CL_SAMPLER_CONTEXT

public static final int CL_SAMPLER_CONTEXT
cl_sampler_info

See Also:
  - Constant Field Values

### CL_SAMPLER_NORMALIZED_COORDS

public static final int CL_SAMPLER_NORMALIZED_COORDS
cl_sampler_info

See Also:
  - Constant Field Values

### CL_SAMPLER_ADDRESSING_MODE

public static final int CL_SAMPLER_ADDRESSING_MODE
cl_sampler_info

See Also:
  - Constant Field Values

### CL_SAMPLER_FILTER_MODE

public static final int CL_SAMPLER_FILTER_MODE
cl_sampler_info

See Also:
  - Constant Field Values

### CL_MAP_READ

public static final int CL_MAP_READ
cl_map_flags - bitfield

See Also:
  - Constant Field Values

### CL_MAP_WRITE

public static final int CL_MAP_WRITE
cl_map_flags - bitfield

See Also:
  - Constant Field Values

### CL_PROGRAM_REFERENCE_COUNT

public static final int CL_PROGRAM_REFERENCE_COUNT
cl_program_info

See Also:
  - Constant Field Values

### CL_PROGRAM_CONTEXT

public static final int CL_PROGRAM_CONTEXT
cl_program_info

See Also:
  - Constant Field Values

### CL_PROGRAM_NUM_DEVICES

public static final int CL_PROGRAM_NUM_DEVICES
cl_program_info

See Also:
  - Constant Field Values

### CL_PROGRAM_DEVICES

public static final int CL_PROGRAM_DEVICES
cl_program_info

See Also:
  - Constant Field Values

### CL_PROGRAM_SOURCE

public static final int CL_PROGRAM_SOURCE
cl_program_info

See Also:
  - Constant Field Values

### CL_PROGRAM_BINARY_SIZES

public static final int CL_PROGRAM_BINARY_SIZES
cl_program_info

See Also:
  - Constant Field Values

### CL_PROGRAM_BINARIES

public static final int CL_PROGRAM_BINARIES
cl_program_info

See Also:
  - Constant Field Values

### CL_PROGRAM_BUILD_STATUS

public static final int CL_PROGRAM_BUILD_STATUS
cl_program_build_info

See Also:
  - Constant Field Values

### CL_PROGRAM_BUILD_OPTIONS

public static final int CL_PROGRAM_BUILD_OPTIONS
cl_program_build_info

See Also:
  - Constant Field Values

### CL_PROGRAM_BUILD_LOG

public static final int CL_PROGRAM_BUILD_LOG
cl_program_build_info

See Also:
  - Constant Field Values

### CL_BUILD_SUCCESS

public static final int CL_BUILD_SUCCESS
cl_build_status

See Also:
  - Constant Field Values

### CL_BUILD_NONE

public static final int CL_BUILD_NONE
cl_build_status

See Also:
  - Constant Field Values

### CL_BUILD_ERROR

public static final int CL_BUILD_ERROR
cl_build_status

See Also:
  - Constant Field Values

### CL_BUILD_IN_PROGRESS

public static final int CL_BUILD_IN_PROGRESS
cl_build_status

See Also:
  - Constant Field Values

### CL_KERNEL_FUNCTION_NAME

public static final int CL_KERNEL_FUNCTION_NAME
cl_kernel_info

See Also:
  - Constant Field Values

### CL_KERNEL_NUM_ARGS

public static final int CL_KERNEL_NUM_ARGS
cl_kernel_info

See Also:
  - Constant Field Values

### CL_KERNEL_REFERENCE_COUNT

public static final int CL_KERNEL_REFERENCE_COUNT
cl_kernel_info

See Also:
  - Constant Field Values

### CL_KERNEL_CONTEXT

public static final int CL_KERNEL_CONTEXT
cl_kernel_info

See Also:
  - Constant Field Values

### CL_KERNEL_PROGRAM

public static final int CL_KERNEL_PROGRAM
cl_kernel_info

See Also:
  - Constant Field Values

### CL_KERNEL_WORK_GROUP_SIZE

public static final int CL_KERNEL_WORK_GROUP_SIZE
cl_kernel_work_group_info

See Also:
  - Constant Field Values

### CL_KERNEL_COMPILE_WORK_GROUP_SIZE

public static final int CL_KERNEL_COMPILE_WORK_GROUP_SIZE
cl_kernel_work_group_info

See Also:
  - Constant Field Values

### CL_KERNEL_LOCAL_MEM_SIZE

public static final int CL_KERNEL_LOCAL_MEM_SIZE
cl_kernel_work_group_info

See Also:
  - Constant Field Values

### CL_EVENT_COMMAND_QUEUE

public static final int CL_EVENT_COMMAND_QUEUE
cl_event_info

See Also:
  - Constant Field Values

### CL_EVENT_COMMAND_TYPE

public static final int CL_EVENT_COMMAND_TYPE
cl_event_info

See Also:
  - Constant Field Values

### CL_EVENT_REFERENCE_COUNT

public static final int CL_EVENT_REFERENCE_COUNT
cl_event_info

See Also:
  - Constant Field Values

### CL_EVENT_COMMAND_EXECUTION_STATUS

public static final int CL_EVENT_COMMAND_EXECUTION_STATUS
cl_event_info

See Also:
  - Constant Field Values

### CL_COMMAND_NDRANGE_KERNEL

public static final int CL_COMMAND_NDRANGE_KERNEL
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_TASK

public static final int CL_COMMAND_TASK
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_NATIVE_KERNEL

public static final int CL_COMMAND_NATIVE_KERNEL
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_READ_BUFFER

public static final int CL_COMMAND_READ_BUFFER
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_WRITE_BUFFER

public static final int CL_COMMAND_WRITE_BUFFER
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_COPY_BUFFER

public static final int CL_COMMAND_COPY_BUFFER
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_READ_IMAGE

public static final int CL_COMMAND_READ_IMAGE
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_WRITE_IMAGE

public static final int CL_COMMAND_WRITE_IMAGE
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_COPY_IMAGE

public static final int CL_COMMAND_COPY_IMAGE
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_COPY_IMAGE_TO_BUFFER

public static final int CL_COMMAND_COPY_IMAGE_TO_BUFFER
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_COPY_BUFFER_TO_IMAGE

public static final int CL_COMMAND_COPY_BUFFER_TO_IMAGE
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_MAP_BUFFER

public static final int CL_COMMAND_MAP_BUFFER
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_MAP_IMAGE

public static final int CL_COMMAND_MAP_IMAGE
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_UNMAP_MEM_OBJECT

public static final int CL_COMMAND_UNMAP_MEM_OBJECT
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_MARKER

public static final int CL_COMMAND_MARKER
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_ACQUIRE_GL_OBJECTS

public static final int CL_COMMAND_ACQUIRE_GL_OBJECTS
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_RELEASE_GL_OBJECTS

public static final int CL_COMMAND_RELEASE_GL_OBJECTS
cl_command_type

See Also:
  - Constant Field Values

### CL_COMPLETE

public static final int CL_COMPLETE
command execution status

See Also:
  - Constant Field Values

### CL_RUNNING

public static final int CL_RUNNING
command execution status

See Also:
  - Constant Field Values

### CL_SUBMITTED

public static final int CL_SUBMITTED
command execution status

See Also:
  - Constant Field Values

### CL_QUEUED

public static final int CL_QUEUED
command execution status

See Also:
  - Constant Field Values

### CL_PROFILING_COMMAND_QUEUED

public static final int CL_PROFILING_COMMAND_QUEUED
cl_profiling_info

See Also:
  - Constant Field Values

### CL_PROFILING_COMMAND_SUBMIT

public static final int CL_PROFILING_COMMAND_SUBMIT
cl_profiling_info

See Also:
  - Constant Field Values

### CL_PROFILING_COMMAND_START

public static final int CL_PROFILING_COMMAND_START
cl_profiling_info

See Also:
  - Constant Field Values

### CL_PROFILING_COMMAND_END

public static final int CL_PROFILING_COMMAND_END
cl_profiling_info

See Also:
  - Constant Field Values

## Method Details

### clGetPlatformIDs

public static int clGetPlatformIDs(PointerBuffer platforms, IntBuffer num_platforms)

### clGetPlatformInfo

public static int clGetPlatformInfo(CLPlatform platform, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clGetDeviceIDs

public static int clGetDeviceIDs(CLPlatform platform, long device_type, PointerBuffer devices, IntBuffer num_devices)

### clGetDeviceInfo

public static int clGetDeviceInfo(CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clCreateContext

public static CLContext clCreateContext(PointerBuffer properties, PointerBuffer devices, CLContextCallback pfn_notify, IntBuffer errcode_ret)
LWJGL requires CL_CONTEXT_PLATFORM to be present in the cl_context_properties buffer.

### clCreateContext

public static CLContext clCreateContext(PointerBuffer properties, CLDevice device, CLContextCallback pfn_notify, IntBuffer errcode_ret)
Overloads clCreateContext.

LWJGL requires CL_CONTEXT_PLATFORM to be present in the cl_context_properties buffer.

### clCreateContextFromType

public static CLContext clCreateContextFromType(PointerBuffer properties, long device_type, CLContextCallback pfn_notify, IntBuffer errcode_ret)
LWJGL requires CL_CONTEXT_PLATFORM to be present in the cl_context_properties buffer.

### clRetainContext

public static int clRetainContext(CLContext context)

### clReleaseContext

public static int clReleaseContext(CLContext context)

### clGetContextInfo

public static int clGetContextInfo(CLContext context, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clCreateCommandQueue

public static CLCommandQueue clCreateCommandQueue(CLContext context, CLDevice device, long properties, IntBuffer errcode_ret)

### clRetainCommandQueue

public static int clRetainCommandQueue(CLCommandQueue command_queue)

### clReleaseCommandQueue

public static int clReleaseCommandQueue(CLCommandQueue command_queue)

### clGetCommandQueueInfo

public static int clGetCommandQueueInfo(CLCommandQueue command_queue, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clCreateBuffer

public static CLMem clCreateBuffer(CLContext context, long flags, long host_ptr_size, IntBuffer errcode_ret)

### clCreateBuffer

public static CLMem clCreateBuffer(CLContext context, long flags, ByteBuffer host_ptr, IntBuffer errcode_ret)

### clCreateBuffer

public static CLMem clCreateBuffer(CLContext context, long flags, DoubleBuffer host_ptr, IntBuffer errcode_ret)

### clCreateBuffer

public static CLMem clCreateBuffer(CLContext context, long flags, FloatBuffer host_ptr, IntBuffer errcode_ret)

### clCreateBuffer

public static CLMem clCreateBuffer(CLContext context, long flags, IntBuffer host_ptr, IntBuffer errcode_ret)

### clCreateBuffer

public static CLMem clCreateBuffer(CLContext context, long flags, LongBuffer host_ptr, IntBuffer errcode_ret)

### clCreateBuffer

public static CLMem clCreateBuffer(CLContext context, long flags, ShortBuffer host_ptr, IntBuffer errcode_ret)

### clEnqueueReadBuffer

public static int clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBuffer

public static int clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, DoubleBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBuffer

public static int clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBuffer

public static int clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBuffer

public static int clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, LongBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBuffer

public static int clEnqueueReadBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_read, long offset, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBuffer

public static int clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBuffer

public static int clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, DoubleBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBuffer

public static int clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBuffer

public static int clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBuffer

public static int clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, LongBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBuffer

public static int clEnqueueWriteBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_write, long offset, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueCopyBuffer

public static int clEnqueueCopyBuffer(CLCommandQueue command_queue, CLMem src_buffer, CLMem dst_buffer, long src_offset, long dst_offset, long size, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueMapBuffer

public static ByteBuffer clEnqueueMapBuffer(CLCommandQueue command_queue, CLMem buffer, int blocking_map, long map_flags, long offset, long size, PointerBuffer event_wait_list, PointerBuffer event, IntBuffer errcode_ret)

### clCreateImage2D

public static CLMem clCreateImage2D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_row_pitch, ByteBuffer host_ptr, IntBuffer errcode_ret)

### clCreateImage2D

public static CLMem clCreateImage2D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_row_pitch, FloatBuffer host_ptr, IntBuffer errcode_ret)

### clCreateImage2D

public static CLMem clCreateImage2D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_row_pitch, IntBuffer host_ptr, IntBuffer errcode_ret)

### clCreateImage2D

public static CLMem clCreateImage2D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_row_pitch, ShortBuffer host_ptr, IntBuffer errcode_ret)

### clCreateImage3D

public static CLMem clCreateImage3D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, ByteBuffer host_ptr, IntBuffer errcode_ret)

### clCreateImage3D

public static CLMem clCreateImage3D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, FloatBuffer host_ptr, IntBuffer errcode_ret)

### clCreateImage3D

public static CLMem clCreateImage3D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, IntBuffer host_ptr, IntBuffer errcode_ret)

### clCreateImage3D

public static CLMem clCreateImage3D(CLContext context, long flags, ByteBuffer image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, ShortBuffer host_ptr, IntBuffer errcode_ret)

### clGetSupportedImageFormats

public static int clGetSupportedImageFormats(CLContext context, long flags, int image_type, ByteBuffer image_formats, IntBuffer num_image_formats)

### clEnqueueReadImage

public static int clEnqueueReadImage(CLCommandQueue command_queue, CLMem image, int blocking_read, PointerBuffer origin, PointerBuffer region, long row_pitch, long slice_pitch, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadImage

public static int clEnqueueReadImage(CLCommandQueue command_queue, CLMem image, int blocking_read, PointerBuffer origin, PointerBuffer region, long row_pitch, long slice_pitch, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadImage

public static int clEnqueueReadImage(CLCommandQueue command_queue, CLMem image, int blocking_read, PointerBuffer origin, PointerBuffer region, long row_pitch, long slice_pitch, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadImage

public static int clEnqueueReadImage(CLCommandQueue command_queue, CLMem image, int blocking_read, PointerBuffer origin, PointerBuffer region, long row_pitch, long slice_pitch, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteImage

public static int clEnqueueWriteImage(CLCommandQueue command_queue, CLMem image, int blocking_write, PointerBuffer origin, PointerBuffer region, long input_row_pitch, long input_slice_pitch, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteImage

public static int clEnqueueWriteImage(CLCommandQueue command_queue, CLMem image, int blocking_write, PointerBuffer origin, PointerBuffer region, long input_row_pitch, long input_slice_pitch, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteImage

public static int clEnqueueWriteImage(CLCommandQueue command_queue, CLMem image, int blocking_write, PointerBuffer origin, PointerBuffer region, long input_row_pitch, long input_slice_pitch, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteImage

public static int clEnqueueWriteImage(CLCommandQueue command_queue, CLMem image, int blocking_write, PointerBuffer origin, PointerBuffer region, long input_row_pitch, long input_slice_pitch, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueCopyImage

public static int clEnqueueCopyImage(CLCommandQueue command_queue, CLMem src_image, CLMem dst_image, PointerBuffer src_origin, PointerBuffer dst_origin, PointerBuffer region, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueCopyImageToBuffer

public static int clEnqueueCopyImageToBuffer(CLCommandQueue command_queue, CLMem src_image, CLMem dst_buffer, PointerBuffer src_origin, PointerBuffer region, long dst_offset, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueCopyBufferToImage

public static int clEnqueueCopyBufferToImage(CLCommandQueue command_queue, CLMem src_buffer, CLMem dst_image, long src_offset, PointerBuffer dst_origin, PointerBuffer region, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueMapImage

public static ByteBuffer clEnqueueMapImage(CLCommandQueue command_queue, CLMem image, int blocking_map, long map_flags, PointerBuffer origin, PointerBuffer region, PointerBuffer image_row_pitch, PointerBuffer image_slice_pitch, PointerBuffer event_wait_list, PointerBuffer event, IntBuffer errcode_ret)

### clGetImageInfo

public static int clGetImageInfo(CLMem image, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clRetainMemObject

public static int clRetainMemObject(CLMem memobj)

### clReleaseMemObject

public static int clReleaseMemObject(CLMem memobj)

### clEnqueueUnmapMemObject

public static int clEnqueueUnmapMemObject(CLCommandQueue command_queue, CLMem memobj, ByteBuffer mapped_ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clGetMemObjectInfo

public static int clGetMemObjectInfo(CLMem memobj, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clCreateSampler

public static CLSampler clCreateSampler(CLContext context, int normalized_coords, int addressing_mode, int filter_mode, IntBuffer errcode_ret)

### clRetainSampler

public static int clRetainSampler(CLSampler sampler)

### clReleaseSampler

public static int clReleaseSampler(CLSampler sampler)

### clGetSamplerInfo

public static int clGetSamplerInfo(CLSampler sampler, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clCreateProgramWithSource

public static CLProgram clCreateProgramWithSource(CLContext context, ByteBuffer string, IntBuffer errcode_ret)

### clCreateProgramWithSource

public static CLProgram clCreateProgramWithSource(CLContext context, ByteBuffer strings, PointerBuffer lengths, IntBuffer errcode_ret)
Overloads clCreateProgramWithSource.

### clCreateProgramWithSource

public static CLProgram clCreateProgramWithSource(CLContext context, ByteBuffer[] strings, IntBuffer errcode_ret)
Overloads clCreateProgramWithSource.

### clCreateProgramWithSource

public static CLProgram clCreateProgramWithSource(CLContext context, CharSequence string, IntBuffer errcode_ret)
Overloads clCreateProgramWithSource.

### clCreateProgramWithSource

public static CLProgram clCreateProgramWithSource(CLContext context, CharSequence[] strings, IntBuffer errcode_ret)
Overloads clCreateProgramWithSource.

### clCreateProgramWithBinary

public static CLProgram clCreateProgramWithBinary(CLContext context, CLDevice device, ByteBuffer binary, IntBuffer binary_status, IntBuffer errcode_ret)

### clCreateProgramWithBinary

public static CLProgram clCreateProgramWithBinary(CLContext context, PointerBuffer device_list, PointerBuffer lengths, ByteBuffer binaries, IntBuffer binary_status, IntBuffer errcode_ret)
Overloads clCreateProgramWithBinary.

### clCreateProgramWithBinary

public static CLProgram clCreateProgramWithBinary(CLContext context, PointerBuffer device_list, ByteBuffer[] binaries, IntBuffer binary_status, IntBuffer errcode_ret)
Overloads clCreateProgramWithBinary.

### clRetainProgram

public static int clRetainProgram(CLProgram program)

### clReleaseProgram

public static int clReleaseProgram(CLProgram program)

### clBuildProgram

public static int clBuildProgram(CLProgram program, PointerBuffer device_list, ByteBuffer options, CLBuildProgramCallback pfn_notify)

### clBuildProgram

public static int clBuildProgram(CLProgram program, PointerBuffer device_list, CharSequence options, CLBuildProgramCallback pfn_notify)
Overloads clBuildProgram.

### clBuildProgram

public static int clBuildProgram(CLProgram program, CLDevice device, CharSequence options, CLBuildProgramCallback pfn_notify)
Overloads clBuildProgram.

### clUnloadCompiler

public static int clUnloadCompiler()

### clGetProgramInfo

public static int clGetProgramInfo(CLProgram program, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clGetProgramInfo

public static int clGetProgramInfo(CLProgram program, PointerBuffer sizes, ByteBuffer param_value, PointerBuffer param_value_size_ret)
Overloads clGetProgramInfo.

This method can be used to get program binaries. The binary for each device (in the order returned by `CL_PROGRAM_DEVICES`) will be written sequentially to the `param_value` buffer. The buffer size must be big enough to hold all the binaries, as returned by `CL_PROGRAM_BINARY_SIZES`.

Parameters:
  `program` - the program
  `param_value` - the buffers where the binaries will be written to.
  `param_value_size_ret` - optional size result

Returns:
  the error code

### clGetProgramInfo

public static int clGetProgramInfo(CLProgram program, ByteBuffer[] param_value, PointerBuffer param_value_size_ret)
Overloads clGetProgramInfo.

This method can be used to get program binaries. The binary for each device (in the order returned by `CL_PROGRAM_DEVICES`) will be written to the corresponding slot of the `param_value` array. The size of each buffer must be big enough to hold the corresponding binary, as returned by `CL_PROGRAM_BINARY_SIZES`.

Parameters:
  `program` - the program
  `param_value` - the buffers where the binaries will be written to.
  `param_value_size_ret` - optional size result

Returns:
  the error code

### clGetProgramBuildInfo

public static int clGetProgramBuildInfo(CLProgram program, CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clCreateKernel

public static CLKernel clCreateKernel(CLProgram program, ByteBuffer kernel_name, IntBuffer errcode_ret)

### clCreateKernel

public static CLKernel clCreateKernel(CLProgram program, CharSequence kernel_name, IntBuffer errcode_ret)
Overloads clCreateKernel.

### clCreateKernelsInProgram

public static int clCreateKernelsInProgram(CLProgram program, PointerBuffer kernels, IntBuffer num_kernels_ret)

### clRetainKernel

public static int clRetainKernel(CLKernel kernel)

### clReleaseKernel

public static int clReleaseKernel(CLKernel kernel)

### clSetKernelArg

public static int clSetKernelArg(CLKernel kernel, int arg_index, long arg_value_arg_size)

### clSetKernelArg

public static int clSetKernelArg(CLKernel kernel, int arg_index, ByteBuffer arg_value)

### clSetKernelArg

public static int clSetKernelArg(CLKernel kernel, int arg_index, DoubleBuffer arg_value)

### clSetKernelArg

public static int clSetKernelArg(CLKernel kernel, int arg_index, FloatBuffer arg_value)

### clSetKernelArg

public static int clSetKernelArg(CLKernel kernel, int arg_index, IntBuffer arg_value)

### clSetKernelArg

public static int clSetKernelArg(CLKernel kernel, int arg_index, LongBuffer arg_value)

### clSetKernelArg

public static int clSetKernelArg(CLKernel kernel, int arg_index, ShortBuffer arg_value)

### clSetKernelArg

public static int clSetKernelArg(CLKernel kernel, int arg_index, org.lwjgl.opencl.CLObject arg_value)
Overloads clSetKernelArg.

### clGetKernelInfo

public static int clGetKernelInfo(CLKernel kernel, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clGetKernelWorkGroupInfo

public static int clGetKernelWorkGroupInfo(CLKernel kernel, CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clEnqueueNDRangeKernel

public static int clEnqueueNDRangeKernel(CLCommandQueue command_queue, CLKernel kernel, int work_dim, PointerBuffer global_work_offset, PointerBuffer global_work_size, PointerBuffer local_work_size, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueTask

public static int clEnqueueTask(CLCommandQueue command_queue, CLKernel kernel, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueNativeKernel

public static int clEnqueueNativeKernel(CLCommandQueue command_queue, CLNativeKernel user_func, CLMem[] mem_list, long[] sizes, PointerBuffer event_wait_list, PointerBuffer event)
Enqueues a native kernel to the specified command queue. The `mem_list` parameter can be used to pass a list of `CLMem` objects that will be mapped to global memory space and exposed as a `ByteBuffer` array in the `CLNativeKernel#execute` method. The `sizes` parameter will be used to allocate direct `ByteBuffer`s with the correct capacities. The user is responsible for passing appropriate values to avoid crashes.

Parameters:
  `command_queue` - the command queue
  `user_func` - the native kernel
  `mem_list` - the CLMem objects
  `sizes` - the CLMem object sizes
  `event_wait_list` - the event wait list
  `event` - the queue event

Returns:
  the error code

### clWaitForEvents

public static int clWaitForEvents(PointerBuffer event_list)

### clWaitForEvents

public static int clWaitForEvents(CLEvent event)
Overloads clWaitForEvents.

### clGetEventInfo

public static int clGetEventInfo(CLEvent event, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clRetainEvent

public static int clRetainEvent(CLEvent event)

### clReleaseEvent

public static int clReleaseEvent(CLEvent event)

### clEnqueueMarker

public static int clEnqueueMarker(CLCommandQueue command_queue, PointerBuffer event)

### clEnqueueBarrier

public static int clEnqueueBarrier(CLCommandQueue command_queue)

### clEnqueueWaitForEvents

public static int clEnqueueWaitForEvents(CLCommandQueue command_queue, PointerBuffer event_list)

### clEnqueueWaitForEvents

public static int clEnqueueWaitForEvents(CLCommandQueue command_queue, CLEvent event)
Overloads clEnqueueWaitForEvents.

### clGetEventProfilingInfo

public static int clGetEventProfilingInfo(CLEvent event, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clFlush

public static int clFlush(CLCommandQueue command_queue)

### clFinish

public static int clFinish(CLCommandQueue command_queue)